﻿using System;
using System.Collections.Generic;
using Rackspace.Cloudfiles;

namespace Ucloudbiz.Storage
{
    /// <summary>
    /// KT_Account Object that makes account requests and provides Account information and status through CF_Account.
    /// </summary>
    public class KT_Account : CF_Account
    {
        private readonly Client _client;
        /// <summary>
        /// Initializes a new instance of the <see cref="Ucloudbiz.Storage.KT_Account"/> class.
        /// </summary>
        /// <param name='conn'>
        /// Pass a valid Connection object
        /// </param>
        public KT_Account (Connection conn)
            : base (conn)
		{
            _client = new KT_Client();
        }
        /// <summary>
        /// Initializes a new instance of the <see cref="Ucloudbiz.Storage.KT_Account"/> class.
        /// </summary>
        /// <param name='conn'>
        /// Pass a valid Connection object
        /// </param>
        /// <param name='client'>
        /// Pass a valid HTTP Client object
        /// </param>
        public KT_Account(Connection conn, Client client)
            : base (conn, client)
        { }
    }
}
