﻿using System;
using Rackspace.Cloudfiles;

namespace Ucloudbiz.Storage
{
    /// <summary>
    /// KT_Object object used to represent a Cloud Files Object trough CF_Object
    /// </summary>
    public class KT_Object : CF_Object
    {
        private Client _client;
        private Container _cont;
        /// <summary>
        /// Initializes a new instance of the <see cref="Ucloudbiz.Storage.KT_Object"/> class.
		/// </summary>
		/// <param name='conn'>
		/// Conn.
		/// </param>
		/// <param name='container_name'>
		/// Container_name.
		/// </param>
		/// <param name='object_name'>
		/// Object_name.
		/// </param>
        public KT_Object(Connection conn, string container_name, string object_name)
            : base(conn, container_name, object_name)
        {
            _client = new KT_Client();
            _cont = new KT_Container(conn, container_name);
        }
        /// <summary>
        /// Initializes a new instance of the <see cref="Ucloudbiz.Storage.KT_Object"/> class.
		/// </summary>
		/// <param name='conn'>
		/// Conn.
		/// </param>
		/// <param name='client'>
		/// Client.
		/// </param>
		/// <param name='container_name'>
		/// Container_name.
		/// </param>
		/// <param name='object_name'>
		/// Object_name.
		/// </param>
		public KT_Object(Connection conn, Client client, string container_name, string object_name)
            : base (conn, client, container_name, object_name)
		{
            _cont = new KT_Container(conn, container_name);
        }
		/// <summary>
        /// Initializes a new instance of the <see cref="Ucloudbiz.Storage.storage.KT_Object"/> class.
		/// </summary>
		/// <param name='conn'>
		/// Conn.
		/// </param>
		/// <param name='container'>
		/// Container.
		/// </param>
		/// <param name='client'>
		/// Client.
		/// </param>
		/// <param name='object_name'>
		/// Object_name.
		/// </param>
		public KT_Object(Connection conn, Container container, Client client, string object_name)
            : base (conn, container, client, object_name)
		{ }
    }
}
